using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    [SugarTable("Grp_VisaInfo")]
    public class Grp_VisaInfo:EntityBase
    {

        /// <summary>
        /// 团组外键编号
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int DIId { get; set; }
        /// <summary>
        /// 签证客户
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string VisaClient { get; set; }
        /// <summary>
        /// 签证费用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal VisaPrice { get; set; }
        /// <summary>
        /// 币种
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int VisaCurrency { get; set; }
        /// <summary>
        /// 是否第三方支付
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsThird { get; set; }
        /// <summary>
        /// 签证人员类型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int PassengerType { get; set; }
        /// <summary>
        /// 办理签证人数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int VisaNumber { get; set; }
        /// <summary>
        /// 免签人数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int VisaFreeNumber { get; set; }
    }
}
